Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1247617

Description of problem:

I have nested locations in my Satellite 6.1.0 setup: Amsterdam, Amsterdam/DC01 and Amsterdam/DC02.

DC01 and DC02 inherit a time-zone variable from Amsterdam.

Though it works fine, the field that should show the value of the time-zone variable when creating a new host / editing an existing

one, is empty.

See attached screenshot.

Version-Release number of selected component (if applicable):

6.1.0 beta

foreman-1.7.2.32-1.el7sat.noarch

How reproducible:

Create nested locations, add variable to parent location, create new host in child location.

Steps to Reproduce:

1. Create nested locations

2. Add variable to parent location

3. Create new host in child location

Actual results:

Variable field is empty

Expected results:

Variable field should show variable value of parent location

Additional info:

I set the component to WebUI, because the correct value is actually in the YAML output: it's just not shown in the webui.

The screenshot explains this much better than I can.

Associated revisions

Revision be33e6e9 - 09/03/2015 03:46 AM - Tomer Brisker

Fixes #11650 - show global parameter value inherited from parent taxonomy

Revision 5b160515 - 09/09/2015 10:59 AM - Tomer Brisker

Fixes #11650 - show global parameter value inherited from parent taxonomy

(cherry picked from commit be33e6e905c8d0315262a3a3a45459c3a098a29e)
History

#1 - 09/02/2015 04:45 AM - Dominic Cleal

- Category set to Organizations and Locations

#2 - 09/02/2015 04:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2663 added

- Pull request deleted ()

#3 - 09/03/2015 04:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset be33e6e905c8d0315262a3a3a45459c3a098a29e.

#4 - 09/03/2015 04:08 AM - Dominic Cleal

- % Done changed from 100 to 0

- translation missing: en.field_release set to 72
